<?php

    include("../../classes/database.class.php");
    include("../../classes/fotoModel.class.php");
    include("../../classes/fotoController.class.php");

    $id = $_POST["id"];

    $ficheiro = $_FILES["imagem"];
    $nomeFicheiro = $ficheiro["name"];
    $tipoFicheiro = $ficheiro["type"];
    $nomeTemporarioFicheiro = $ficheiro["tmp_name"];
    $erroFicheiro = $ficheiro["error"];
    $tamanhoFicheiro = $ficheiro["size"];
    $extensaoFicheiro = explode(".", $nomeFicheiro);
    $extensaoActualFicheiro = strtolower(end($extensaoFicheiro));
    $permitido = array("jpg", "jpeg", "png");

    $modelo = new FotoController($id, $ficheiro, $nomeFicheiro, $tipoFicheiro, $nomeTemporarioFicheiro, $erroFicheiro, $tamanhoFicheiro, $extensaoFicheiro, $extensaoActualFicheiro, $permitido);
    $id = $modelo->uploadFotoMatriculaFrontal();
    echo $id;